%define piname	squiddio_pi

Name:		opencpn-squiddio-plugin
Summary:	Waypoints of sailing destinations plugin for OpenCpn
Version:	0.7
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/mauroc/%{piname}
# See opencpn specs for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Squiddio makes its global user-sourced and user-maintained repository of
sailing destinations (marinas, anchorages, yacht clubs, docks, fuel stations
etc.) available as waypoints in opencpn through a plugin.
The waypoint Properties box shows basic information about the Destination, 
such as the Destination's average user rating, address and phone number
(where available) and a link to the Destination's page on sQuddio.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Wed Nov 01 2017 bb2 <bb2> - 0.7-1pclos2017
- new version

